> ## Documentation Index
> Fetch the complete documentation index at: https://docs.getpartna.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get a transaction

> Get a transaction



## OpenAPI

````yaml get /transaction/{transactionId}
openapi: 3.0.2
info:
  title: Coinprofile business API
  version: 1.0.0
  description: Coinprofile business API
servers:
  - url: https://staging-biz.coinprofile.co/v2
    description: Production
security: []
tags: []
paths:
  /transaction/{transactionId}:
    get:
      summary: Get a transaction
      description: Get a transaction
      operationId: getTransaction
      parameters:
        - in: path
          name: transactionId
          required: true
          schema:
            type: string
      responses:
        '200':
          description: Success
          content:
            application/json:
              schema:
                type: object
                properties:
                  message:
                    type: string
                  success:
                    type: boolean
                  transactionId:
                    type: string
                  amount:
                    type: number
                  businessId:
                    type: string
                  currency:
                    type: string
                  fromAmount:
                    type: number
                  fromCurrency:
                    type: string
                  isFromRegUser:
                    type: boolean
                  memo:
                    type: string
                  prevBalance:
                    type: number
                  sender:
                    type: string
                  status:
                    type: string
                  type:
                    type: string
                  username:
                    type: string
      security:
        - ApiUser: []
          ApiKey: []
          UserVersion: []
components:
  securitySchemes:
    ApiUser:
      type: apiKey
      in: header
      name: X-Api-User
    ApiKey:
      type: apiKey
      in: header
      name: X-Api-Key
    UserVersion:
      type: apiKey
      in: header
      name: X-User-Version

````